Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.varia.scheduler
Interface AbstractScheduleProviderMBean

All Superinterfaces:
  org.jboss.ha.jmx.HAServiceMBean, org.jboss.ha.singleton.HASingletonMBean, javax.management.NotificationBroadcaster, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Subinterfaces:
  DBScheduleProviderMBean, SingleScheduleProviderMBean, XMLScheduleProviderMBean

All Known Implementing Classes:
  AbstractScheduleProvider, DBScheduleProvider, SingleScheduleProvider, XMLScheduleProvider

public interface AbstractScheduleProviderMBean
extends org.jboss.ha.singleton.HASingletonMBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getScheduleManagerName()` Get the Schedule Manager Name
`boolean` | `isHASingleton()` determines whether or not the service is clustered singleton
`void` | `setHASingleton(boolean hasingleton)` determines whether or not the service is clustered singleton
`void` | `setScheduleManagerName(String pSchedulerManagerName)` Set the Schedule Manager Name
`void` | `startProviding()` Add the Schedules to the Schedule Manager
`void` | `stopProviding()` Stops the Provider from providing and causing him to remove all Schedules

Methods inherited from interface org.jboss.ha.singleton.HASingletonMBean
`isMasterNode`

Methods inherited from interface org.jboss.ha.jmx.HAServiceMBean
`callMethodOnPartition, getDistributedState, getPartitionName, sendNotification, setDistributedState, setPartitionName`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getScheduleManagerName

    public String getScheduleManagerName()

  Get the Schedule Manager Name

### setScheduleManagerName

    public void setScheduleManagerName(String pSchedulerManagerName)
                                throws javax.management.MalformedObjectNameException

  Set the Schedule Manager Name

  Throws:
    `javax.management.MalformedObjectNameException`

### startProviding

    public void startProviding()
                        throws Exception

  Add the Schedules to the Schedule Manager

  Throws:
    `Exception`

### stopProviding

    public void stopProviding()

  Stops the Provider from providing and causing him to remove all Schedules

### isHASingleton

    public boolean isHASingleton()

  determines whether or not the service is clustered singleton

### setHASingleton

    public void setHASingleton(boolean hasingleton)

  determines whether or not the service is clustered singleton

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.